CPU_SWAPOUT(9)

NAME
cpu_swapout, cpu_swapin, - machine-dependent swap interface

SYNOPSIS
#include <sys/lwp.h>
#include <machine/cpu.h>
void
cpu_swapout(struct lwp *l);
void
cpu_swapin(struct lwp *l);

DESCRIPTION
cpu_swapout() and cpu_swapin() are the machine-dependent interface for swapping processes in and out of the system. They perform any machine-specific operations such as saving and restoring floating point state. They are invoked by uvm_swapout() and uvm_swapin() respectively.

SEE ALSO
uvm(9)